package projet_these.et;

import java.io.*;




/**
 * Implementation of a gene-allele
 * @author Gregory Deceliere - UMR CNRS 5558 - "BBE"
 * @version 18/12/02
 */
public class geneAllele implements Serializable, Cloneable
{
    
    /**
     * The type of transposable element
     */
    protected boolean agressive;
    
    
    /**
     * Default contructor of initialization of the geneAllele
     * It is regarded as being normal
     */
    public geneAllele()
    {
        this(false);
    }
    
    
    /**
     * Contructor of initialization of the geneAllele
     * @param agressive Boolean is agressive?
     */
    public geneAllele(boolean agressive)
    {
        this.agressive = agressive;
    }
    
    
    /**
     * Create a new agressive transposable element
     * @return Object
     */
    public Object clone()
    {
        return new geneAllele(this.agressive);
    }
}


